summaryrefslogtreecommitdiffstats
path: root/abs/core/gcc/c89
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/gcc/c89')
-rw-r--r--abs/core/gcc/c8910
1 files changed, 10 insertions, 0 deletions
diff --git a/abs/core/gcc/c89 b/abs/core/gcc/c89
new file mode 100644
index 0000000..35486ea
--- /dev/null
+++ b/abs/core/gcc/c89
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+ case "$opt" in
+ -ansi|-std=c89|-std=iso9899:1990) fl="";;
+ -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}